
<?php
get_header();
?>
<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

	<?php /* If this is a category archive */ if (is_category()) { ?>
		<h1>Archive for  '<?php echo single_cat_title(); ?>' Category</h1>
	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h1>Archive for <?php the_time('F jS, Y'); ?></h1>
	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h1>Archive for <?php the_time('F, Y'); ?></h1>
	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h1>Archive for <?php the_time('Y'); ?></h1>
	<?php /* If this is a search */ } elseif (is_search()) { ?>
		<h1>Search Results</h1>
	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h1>Author Archive</h1>
	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h1>Archives</h1>
	<?php } ?>



<?php if (have_posts()) : while (have_posts()) : the_post();?>
<div id="post-header">
	<div id="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></div>
	<div id="post-description"><?php the_author() ?> <?php edit_post_link(__('Edit This')); ?> - <?php the_time('M') ?> - <?php the_time('jS') ?></div>
</div>
<div class="post-content" id="post-<?php the_ID(); ?>"><?php the_excerpt(__('Read more'));?><p><a href="<?php the_permalink() ?>" rel="bookmark">Read More></a></p></div>
<div id="post-footer"> <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?>  <?php link_pages(' - ', '', 'number', '','' , 'page %'); ?> </div>
<?php comments_template(); // Get wp-comments.php template ?>
<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>
<div id="page-footer"><?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?></div>
<?php else : ?>

		<h2 class="center">Not Found</h2>

		<?php endif; ?>

<?php get_footer(); ?>